<?php

/* Любые самостоятельные скрипты, модули для cms , готовые сайты под ключ, разработка браузерных игр по вашему тех.заданию, оптимизация(seo), безопасность ресурса на wap фриланс Копеек.нет -> http://koneek.net © Кредитор, icq 441460, e-mail kpegumop@yandex.ru */

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Магазин Недвижимости';
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<link rel='stylesheet' href='style.css' type='text/css' /><center>";
echo "<div class='grad32'><img src='fermer.gif'></div><div class='ferm3'><img src='shop25.gif'><br/><div class='grad16'>Магазин Недвижимости</div>";
echo "<a href='shop.php'>Семяна</a> | <a href='shop_udobr.php'>Удобрения</a> | <a href='shop_of_clothes.php'>Одежда</a>
 | Недвижимость | <a href='dog.php'>Зоомагазин</a></center><div class='ferm3'>";

If (!isset($_GET['p']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['p'])) $p=false; else $p=$_GET['p'];
switch ($p){


default:

echo "Здесь вы можете купить недвижимость, дополнения к ней, которые зделают вас более популярными.<br/>";

echo "<b>Разделы:</b><br/>";
echo "<a href=\"reeltor.php?p=house\">Дома</a><br/>\n";
echo "<a href=\"reeltor.php?p=court\">Двор</a><br/>\n";
echo "<a href=\"reeltor.php?p=shed\">Сарай</a><br/>\n";
echo "<a href=\"reeltor.php?p=fence\">Забор</a><br/>\n";
echo "<a href=\"reeltor.php?p=door\">Калитка(вход)</a><br/>\n";
echo "<a href=\"reeltor.php?p=akses\">Будка для собаки</a><br/>\n";
echo "<a href=\"reeltor.php?p=akses_two\">Клумба</a><br/>\n";
echo "<a href=\"reeltor.php?p=akses_three\">Клумба</a><br/>\n";
break;


case 'info':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такого товара не существует!';
break;
};
while($row=mysql_fetch_assoc($x)){


echo '<img src="imghouse/'.$row['path'].'" alt=""/><br />';

echo '<b>Название:</b> <br />'.$row['name'].'<br />';

echo '<b>Описание:</b> <br />'.$row['opis'].'<br />';


echo '<b>Шикарность:</b> <font color=\'green\'>'.$row['shik'].'</font><br />';

echo '<b>Деловитость:</b> <font color=\'green\'>'.$row['del'].'</font><br />';

echo '<b>Гламурность:</b> <font color=\'green\'>'.$row['glam'].'</font><br />';

echo '<b>Цена:</b> <font color=\'red\'>'.$row['cena'].'</font> монет<br />';

echo '<a href="reeltor.php?p=buy&amp;id='.$row['id'].'"><b>Купить</b></a><br />';
};
break;


case 'house':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='house'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'В разделе пока ничего нет';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='house' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'"> '.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=house&',$k_page,$page); // Вывод страниц
break;


case 'court':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='court'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории товары отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='court' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=court&',$k_page,$page); // Вывод страниц
break;


case 'shed':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='shed'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории товары отсутствуют...';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='shed' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=shed&',$k_page,$page); // Вывод страниц
break;


case 'fence':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='fence'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Очень жаль, но в этой категории товары отсутствуют...';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='fence' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';

};

if ($k_page>1)str('?p=fence&',$k_page,$page); // Вывод страниц
break;


case 'door':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='door'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории пока товары отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='door' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=door&',$k_page,$page); // Вывод страниц
break;


case 'akses':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='akses'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории товары отсутствуют...';
break;
};
$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='akses' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=akses&',$k_page,$page); // Вывод страниц
break;


case 'akses_two':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='akses_two'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории товары отсутствуют...';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='akses_two' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=akses_two&',$k_page,$page); // Вывод страниц
break;


case 'akses_three':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='akses_three'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){echo 'Очень жаль, но в этой категории товары отсутствуют...';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='akses_three' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=akses_three&',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `id`='$id'");
if(!mysql_num_rows($x)){
echo 'Такого товара не существует!';
break;
};

$x=mysql_fetch_assoc($x);

$w=mysql_query("SELECT * FROM `k_user_house` WHERE `type`='".$x['type']."' AND `uid`='".$user['id']."'");

$w=mysql_fetch_assoc($w);
if($x['type']==$w['type']){
echo'Вы уже отделали участок в <b>'.$w['name'].'</b><br />';
}else{

if($user['fermer_money']<=$x['cena']){
echo ''.$user['nick'].', у вас не достаточно денег фермы для данной покупки...<br/>';
}else{

mysql_query("UPDATE `user` SET `fermer_money`=`fermer_money`-'".$x['cena']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `k_user_house` (`vid`,`uid`,`name`,`opis`,`path`,`type`,`cena`,`shik`,`del`,`glam`)VALUES('".$x['id']."','".$user['id']."','".$x['name']."','".$x['opis']."','".$x['path']."','".$x['type']."','".$x['cena']."','".$x['shik']."','".$x['del']."','".$x['glam']."')");

echo '<div class=\"msg\">Вы приобрели часть одежды - '.$x['name'].'</div><br/>';
};
};

break;


};

echo'<div class="foot">';
echo '<a href="reeltor.php"><img src="egg.png"> Магазин Недвижимости</a><br />';
echo '<a href="storage.php"><img src="egg.png"> Мой склад</a><br />';
echo "<a href='my.php'><img src='egg.png'> На ферму</a><br/>";
echo "<a href='index.php'><img src='egg.png'> В игру</a>";
echo '</div>';
include_once '../sys/inc/tfoot.php';
?>